Get Archived NERM profiles through NERM API

Hello there,

We would like to un-archived NERM account as we want to keep them visible on ISC.
But first, I would like to be able to:
get the list of archived NERM accounts (profiles) through API,
then later be able to:
unarchived them through API.

I have yet to find a way to do it. Is it possible?

So far, I have tried different API :
The NERM “profiles” endpoint display all unarchived accounts, but archived accounts remain hidden. By unarchiving manually one account, it become visible through the API.

Even through the profile_type endpoint, the archived profile types are hidden. When using the archived=true parameter, no profile type is being returned even though there are three archived profile types.

Any idea how to do it?

Thank you for your help,
Rémi.

The normal data returned by /profiles will only returned unarchived accounts. The only way to retrieve archived accounts via API is to use the after_id parameter: get-profiles | SailPoint Developer Community

Such as : GET https://tenant.nonemployee.com/api/profiles?profile_type_id=X&limit=500&after_id=

I intentionally leave the value after after_id blank, as I want to start pulling all records. Then, it can be filled in with the ID of last record in the response body to get the next page.

Hello there,

I can confirm, it worked well. Thank you for your help.

it seems there is limitation with use of after id: api/profiles?profile_type_id=def48fcf-dcbd-48a5-bd2b-ac137cf48117&limit=250&offset=0&after_id=64dbc65c-fe1e-4c12-b1a3-dcae8f4bddf2 it gave error as Failed to retrieve profiles: {“error”:“Opposed parameters provided. after_id can’t be used with other
filters/sort options”}

As the error there, as stated, is that you can not use the after_id parameter and the offset parameters together. To get the next page, you would set the after_id value to the last profile id returned in the response body. That is also available within the metadata object if using metadata=true parameter